/* $Id: enaml-sock.c,v 1.5 2001/02/18 04:27:32 robey Exp $
 *
 * Simple utility functions used by both sephiroth and mud-server.
 *
 * Copyright (C) 2000  Robey Pointer <robey@lag.net>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include "enaml-sock.h"


void
send_enaml_block (Socket *sock, const EnamlBlock *out)
{
        char *dump;

        dump = enaml_compose (out, 1);
        socket_write (sock, dump, strlen (dump));
        enaml_compose_free (dump);
}

void
send_enaml_buildf (Socket *sock, const char *tag, const char *fmt, ...)
{
        EnamlBlock *out;
        va_list arg;

        va_start (arg, fmt);
        out = enaml_vbuildf (tag, fmt, arg);
        va_end (arg);

        send_enaml_block (sock, out);
        enaml_free (out);
}
